Package io.vertx.reactivex.openapi.validation

## Class ValidatedResponse

- java.lang.Object
- - io.vertx.reactivex.openapi.validation.ValidatedResponse

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ValidatedResponse
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ValidatedResponse>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidatedResponse​(ValidatedResponse delegate)` |
    `ValidatedResponse​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ResponseParameter` | `getBody()` |
    `ValidatedResponse` | `getDelegate()` |
    `Map<String,​ResponseParameter>` | `getHeaders()` |
    `int` | `hashCode()` |
    `static ValidatedResponse` | `newInstance​(ValidatedResponse arg)` |
    `Completable` | `rxSend​(HttpServerResponse serverResponse)` | Add all parameters from the validated response to the passed and send it.
    `Future<Void>` | `send​(HttpServerResponse serverResponse)` | Add all parameters from the validated response to the passed and send it.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ValidatedResponse> __TYPE_ARG

  - ### Constructor Detail

    - #### ValidatedResponse

          public ValidatedResponse​(ValidatedResponse delegate)

    - #### ValidatedResponse

          public ValidatedResponse​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ValidatedResponse getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getHeaders

          public Map<String,​ResponseParameter> getHeaders()

      Returns:
        the header parameters.

    - #### getBody

          public ResponseParameter getBody()

      Returns:
        the body.

    - #### send

          public Future<Void> send​(HttpServerResponse serverResponse)

      Add all parameters from the validated response to the passed and send it.
      Parameters:
        `serverResponse` - The related response
      Returns:
        A succeeded Future when the response was sent successfully, otherwise a failed one.

    - #### rxSend

          public Completable rxSend​(HttpServerResponse serverResponse)

      Add all parameters from the validated response to the passed and send it.
      Parameters:
        `serverResponse` - The related response
      Returns:
        A succeeded Future when the response was sent successfully, otherwise a failed one.

    - #### newInstance

          public static ValidatedResponse newInstance​(ValidatedResponse arg)